Realtime Avatar

Get credit balance

GET
/api/v1/credits/balance

Current credit wallet: available, reserved, and lifetime totals. 1 realtime second = 1,000,000 credit micros. Requires scope credits:read.

AuthorizationBearer <token>

TIC API key as a bearer token: Authorization: Bearer tic_live_... or tic_test_.... Create keys in the dashboard at /platform/dashboard or via POST /api/v1/api-keys.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/credits/balance"
{  "tenantId": "string",  "balanceCreditMicros": 0,  "reservedCreditMicros": 0,  "availableCreditMicros": 0,  "lifetimeGrantedCreditMicros": 0,  "lifetimeUsedCreditMicros": 0,  "updatedAt": "string"}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}